### Hierarchy

- Metadata

## Index

### Properties

- channels
- density
- format
- hasAlpha
- hasProfile
- height
- orientation
- space
- width

## Properties

### Optional channels

channels: number

- Defined in fly/image/index.ts:315

Number of bands e.g. 3 for sRGB, 4 for CMYK

### Optional density

density: number

- Defined in fly/image/index.ts:317

Number of pixels per inch (DPI), if present

### Optional format

format: string

- Defined in fly/image/index.ts:325

### Optional hasAlpha

hasAlpha: boolean

- Defined in fly/image/index.ts:321

Boolean indicating the presence of an alpha transparency channel

### Optional hasProfile

hasProfile: boolean

- Defined in fly/image/index.ts:319

Boolean indicating the presence of an embedded ICC profile

### Optional height

height: number

- Defined in fly/image/index.ts:311

Number of pixels high

### Optional orientation

orientation: number

- Defined in fly/image/index.ts:323

Number value of the EXIF Orientation header, if present

### Optional space

space: string

- Defined in fly/image/index.ts:313

Name of colour space interpretation e.g. srgb, rgb, cmyk, lab, b-w ...

### Optional width

width: number

- Defined in fly/image/index.ts:309

Number of pixels wide

Generated using TypeDoc